Integrations-6

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
GET
GET
GET
GET
GET
GET
POST
GET

Retrieve integrations google accessible accounts

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/google_accessible_accounts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/google_accessible_accounts/

Example response

Status 200 No response body

Retrieve integrations google accessible accounts

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/google_accessible_accounts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/google_accessible_accounts/

Example response

Status 200 No response body

Retrieve integrations google conversion actions

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/google_conversion_actions
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/google_conversion_actions/

Example response

Status 200 No response body

Retrieve integrations google conversion actions

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/google_conversion_actions
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/google_conversion_actions/

Example response

Status 200 No response body

Retrieve integrations jira projects

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/jira_projects
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/jira_projects/

Example response

Status 200 No response body

Retrieve integrations jira projects

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/jira_projects
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/jira_projects/

Example response

Status 200 No response body

Retrieve integrations linear teams

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linear_teams
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linear_teams/

Example response

Status 200 No response body

Retrieve integrations linear teams

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linear_teams
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linear_teams/

Example response

Status 200 No response body

Retrieve integrations linkedin ads accounts

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linkedin_ads_accounts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linkedin_ads_accounts/

Example response

Status 200 No response body

Retrieve integrations linkedin ads accounts

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linkedin_ads_accounts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linkedin_ads_accounts/

Example response

Status 200 No response body

Retrieve integrations linkedin ads conversion rules

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linkedin_ads_conversion_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linkedin_ads_conversion_rules/

Example response

Status 200 No response body

Retrieve integrations linkedin ads conversion rules

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/linkedin_ads_conversion_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/linkedin_ads_conversion_rules/

Example response

Status 200 No response body

Retrieve integrations twilio phone numbers

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/twilio_phone_numbers
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/twilio_phone_numbers/

Example response

Status 200 No response body

Retrieve integrations twilio phone numbers

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/twilio_phone_numbers
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/twilio_phone_numbers/

Example response

Status 200 No response body

Retrieve integrations authorize

Example request

GET /api/projects/:project_id/integrations/authorize
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/authorize/

Example response

Status 200 No response body

Retrieve integrations authorize

Example request

GET /api/projects/:project_id/integrations/authorize
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/authorize/

Example response

Status 200 No response body

Create integrations domain connect apply url

Unified endpoint for generating Domain Connect apply URLs.

Accepts a context ("email" or "proxy") and the relevant resource ID. The backend resolves the domain, template variables, and service ID based on context, then builds the signed apply URL.

Request parameters

  • kind
  • config

Example request

POST /api/projects/:project_id/integrations/domain-connect/apply-url
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/domain-connect/apply-url/\
-d kind=undefined

Example response

Status 200 No response body

Create integrations domain connect apply url

Unified endpoint for generating Domain Connect apply URLs.

Accepts a context ("email" or "proxy") and the relevant resource ID. The backend resolves the domain, template variables, and service ID based on context, then builds the signed apply URL.

Request parameters

  • kind
  • config

Example request

POST /api/projects/:project_id/integrations/domain-connect/apply-url
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/domain-connect/apply-url/\
-d kind=undefined

Example response

Status 200 No response body

Retrieve integrations domain connect check

Example request

GET /api/projects/:project_id/integrations/domain-connect/check
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/domain-connect/check/

Example response

Status 200 No response body

Retrieve integrations domain connect check

Example request

GET /api/projects/:project_id/integrations/domain-connect/check
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/domain-connect/check/

Example response

Status 200 No response body

Community questions

Questions about this page? or post a community question.